Package org.bukkit.event.player

# Class PlayerChannelEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerChannelEvent

Direct Known Subclasses:
  `PlayerRegisterChannelEvent`, `PlayerUnregisterChannelEvent`

public abstract class PlayerChannelEvent extends PlayerEvent
This event is called after a player registers or unregisters a new plugin channel.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerChannelEvent(@NotNull Player player, @NotNull String channel)`

## Method Summary

Modifier and Type
Method
Description
`final @NotNull String`
`getChannel()`
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerChannelEvent

public PlayerChannelEvent(@NotNull @NotNull Player player, @NotNull @NotNull String channel)

## Method Details

### getChannel

@NotNull public final @NotNull String getChannel()

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()